Bug 112986 - Can not debug assert()/abort() in static linked programs
Can not debug assert()/abort() in static linked programs
Status: CLOSED CANTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: gdb (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Kratochvil
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-06 17:46 EST by Enrico Scholz
Modified: 2007-04-18 13:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 15:30:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2004-01-06 17:46:42 EST
Description of problem:

| $ cat x.c 
| int main() 
| {
|   volatile int a = 0;
|   abort();
| }
| $ gcc -static -O0 -g3 x.c 

| $ gdb ./a.out
| (gdb) r
| Starting program: /tmp/a.out 
| 
| Program received signal SIGABRT, Aborted.
| 0x08050461 in kill ()
| (gdb) bt
| #0  0x08050461 in kill ()
| #1  0x080501f4 in raise ()
| #2  0x00000006 in ?? ()
| #3  0xbffff4c8 in ?? ()
| #4  0x080487ea in abort ()
| Previous frame inner to this frame (corrupt stack?)

Similarly when using 'dietlibc'; then most local symbols can not be
lookup'ed.


Version-Release number of selected component (if applicable):

gcc-3.3.2-5
gdb-5.3.90-0.20030710.41
glibc-2.3.3-3
glibc-debuginfo-common-2.3.3-3
glibc-debuginfo-2.3.3-3

(dietlibc-0.24-4)
Comment 1 Enrico Scholz 2004-01-14 16:01:45 EST
still with gdb-6.0post-0.20031117.7
Comment 2 Jan Kratochvil 2006-07-24 06:22:32 EDT
The bug is not reproducible on FC5.
Comment 3 Bill Nottingham 2006-08-07 21:46:16 EDT
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux.
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues were not resolved in a more
timely manner. However, we do want to make sure that important 
don't slip through the cracks. If these issues are still present
in a current release, such as Fedora Core 5, please move these
bugs to that product and version. Note that any remaining Red Hat
Raw Hide bugs will be closed as 'CANTFIX' on September 30, 2006.
Thanks again for your help.
Comment 4 Bill Nottingham 2006-10-18 15:30:46 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.